
import javax.swing.JPanel;

/**
 * Title:        HTMLincl
 * Description:
 * Copyright:    Copyright (c) 2001
 * @author Andreas Tetzl
 * @version 1.0
 */

import java.io.*;

public class HTMLFileFilter implements FilenameFilter {

  private String ext = ".html";

  public HTMLFileFilter() {
  }

  public boolean accept(File dir, String name) {
    String path=dir.toString()+File.separatorChar+name;
    if (new File(path).isFile()) {
      return name.endsWith(ext);
    } else {
      return false;
    }
  }
}